
import Panel from "../views/Panel";
// import { NetManager } from '../../libs/tw/manager/NetManager';
// import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public maskRule:eui.Rect;
    private video;
    constructor(){
        super()
        // NetManager.ins.getRule(()=>{
        //     var tx:egret.TextField = new egret.TextField;
        //     tx.width = this.stage.stageWidth - 220;
        //     tx.textFlow = (new egret.HtmlTextParser).parser(
        //         DataManager.ins.getRuleData ? DataManager.ins.getRuleData.ruleText : 
        //         (DataManager.ins.ajaxElementData ? DataManager.ins.ajaxElementData.rule : 
        //             (window['ruleCFG'] ? window['ruleCFG'] : "规则")
        //         )
        //     );
        //     tx.x = 110;
        //     tx.y = 330;
        //     tx.textColor = 0x333333;
        //     this.addChild( tx );
        // })
        
        this.percentHeight = 100;
    }

    protected onSkinComplete():void{
        super.onSkinComplete();
        this.maskRule.alpha = 0;
        egret.Tween.get(this.maskRule).to({alpha:1},1000);
        
    }

    public initEvents():void{
        super.initEvents();
    }

    public removeEvents():void{
        super.removeEvents();
    }

    public get skinKey() { return 'Rule' }
	public get groupName() { return 'rule_panel'}
}